View Issue Details

IDProjectCategoryView StatusLast Update
0014043ScribusUsabilitypublic2016-05-15 22:53
Reporterjhmtv Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSMacOSXOS Version10.11.4
Product Version1.5.2.svn 
Target Version1.5.2Fixed in Version1.5.2.svn 
Summary0014043: Ungrouping with flipped objects, objects are not positioned correctly
DescriptionUngrouping a copied, rotated and flipped group results in objects with wrong positions.
Steps To ReproduceUngroup the upper right or lower left group of the attached example.
Additional InformationThe groups are created by copying and rotating/flipping started from the upper left -> upper right. Upper right -> Lower Right and finally lower right -> lower left.
TagsNo tags attached.
PatchNo

Relationships

related to 0014009 closedfschmid Objects in rotated groups are loosing it's position on ungrouping 
related to 0014026 assignedfschmid Objects in rotated and moved groups are leaving artifacts once ungrouped 
related to 0013509 confirmed undo does not restore group correctly (only as individual unsequential ungrouped parts) 
related to 0013698 confirmed Missing Redraw of Selected Page Border 
related to 0012045 assignedjghali Flipped Frames don't resize/behave as expected (+ in groups) 
child of 0003812 acknowledged Metabug: Grouped objects 
child of 0013075 acknowledged Metabug: missing display refresh 

Activities

jhmtv

2016-05-09 21:21

reporter  

testgrouprotate2.sla (18,837 bytes)

Kunda

2016-05-10 11:56

manager  

ungrouped-flipped.gif (221,140 bytes)
ungrouped-flipped.gif (221,140 bytes)

Kunda

2016-05-10 12:06

manager   ~0040928

Reproduced on r21300 (OSX 10.10.5)
I also encountered the following bugs while recreating this bug:
0014026
0013509
0013698

Kunda

2016-05-10 12:24

manager   ~0040929

jhmtv, please include the exact steps to recreate the bug. Thanks

jhmtv

2016-05-10 13:04

reporter   ~0040932

Steps to reproduce with 1.5.2svn

1. Added the objects to the upper left corner
2. Group objects in upper left corner
3. Copy -> Paste -> Move to upper right -> Mirror vertical -> Turn 180 degree
4. Upper Right: Copy -> Paste -> Move to lower right -> Mirror Vertical
5. Lower Right: Copy -> Paste -> Move to lower left -> Mirror Vertical -> Change to 0 degree

6. Ungroup upper right / lower left

Kunda

2016-05-14 11:55

manager   ~0041023

Franz committed fix for this in r21310
please retest

Kunda

2016-05-14 13:07

manager   ~0041027

Fix confirmed on 10.10.5 1.5.2svn r21311
Thanks franz!

Issue History

Date Modified Username Field Change
2016-05-09 21:21 jhmtv New Issue
2016-05-09 21:21 jhmtv File Added: testgrouprotate2.sla
2016-05-10 11:56 Kunda File Added: ungrouped-flipped.gif
2016-05-10 11:57 Kunda Relationship added related to 0014009
2016-05-10 11:58 Kunda Status new => confirmed
2016-05-10 11:58 Kunda Target Version => 1.5.3
2016-05-10 11:58 Kunda Additional Information Updated View Revisions
2016-05-10 12:06 Kunda Note Added: 0040928
2016-05-10 12:06 Kunda Relationship added related to 0014026
2016-05-10 12:06 Kunda Relationship added related to 0013509
2016-05-10 12:06 Kunda Relationship added related to 0013698
2016-05-10 12:07 Kunda Relationship added child of 0003812
2016-05-10 12:07 Kunda Relationship added child of 0013075
2016-05-10 12:24 Kunda Note Added: 0040929
2016-05-10 13:04 jhmtv Note Added: 0040932
2016-05-11 03:47 Kunda Relationship added related to 0012045
2016-05-14 07:43 fschmid Target Version 1.5.3 => 1.5.2
2016-05-14 07:43 fschmid Status confirmed => resolved
2016-05-14 07:43 fschmid Fixed in Version => 1.5.2.svn
2016-05-14 07:43 fschmid Resolution open => fixed
2016-05-14 07:43 fschmid Assigned To => fschmid
2016-05-14 11:55 Kunda Note Added: 0041023
2016-05-14 13:07 Kunda Note Added: 0041027
2016-05-15 22:53 cbradney Status resolved => closed